freiheit.com technologies gmbh

## com.freiheit.gnupg
Class GnuPGSignature

    java.lang.Object
      com.freiheit.gnupg.GnuPGPeer
          com.freiheit.gnupg.GnuPGSignature

    public class GnuPGSignature

extends GnuPGPeer

Represents a signature from a key. A signature doesn't stand alone. It is always bound to a key. So if you want to see a signature, you first have to get a key via the GnuPGContext.

This class accesses directly the corresponding structure "under the hood" and stores no data in java members. This means, that every call of a method also results in a native call to access gpgme memory.

Author:
  Stefan Richter, stefan@freiheit.com
See Also:
  `GnuPGContext`

Constructor Summary
`protected` `GnuPGSignature(int ptr)` This constructor is only called from GnuPGKey.

Method Summary
`java.lang.String` `getComment()` Returns Comment.
`java.lang.String` `getEmail()` Returns Email-Address of signer.
`java.lang.String` `getKeyID()` Returns Key-ID of signature key.
`java.lang.String` `getName()` Returns Name of signer.
`protected GnuPGSignature` `getNextSignature()` Gets the next pointer in the gpgme_key_sig_t structure.
`java.lang.String` `getUserID()` Returns User-ID of signer.
`boolean` `hasDetails()` Checks, if all signature details are available.
`boolean` `isExpired()` Is signature key expired?
`boolean` `isExportable()` Is signature key exportable?
`boolean` `isInvalid()` Is signature key invalid?
`boolean` `isRevoked()` Is signature key revoked?
`java.lang.String` `toString()` String-Representation of this Signature.

Methods inherited from class com.freiheit.gnupg.GnuPGPeer
`getInternalRepresentation, setInternalRepresentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GnuPGSignature

    protected GnuPGSignature(int ptr)

  This constructor is only called from GnuPGKey. It is called when the lib browses thru the linked list of signatures of each key.

  See Also:
    `GnuPGKey`

Method Detail

### isRevoked

    public boolean isRevoked()

  Is signature key revoked?

  Returns:
    true, if revoked

### isExpired

    public boolean isExpired()

  Is signature key expired?

  Returns:
    true, if expired

### isInvalid

    public boolean isInvalid()

  Is signature key invalid?

  Returns:
    true, if invalid

### isExportable

    public boolean isExportable()

  Is signature key exportable?

  Returns:
    true, if exportable

### getKeyID

    public java.lang.String getKeyID()

  Returns Key-ID of signature key.

  Returns:
    Key-ID

### getUserID

    public java.lang.String getUserID()

  Returns User-ID of signer.

  Returns:
    User-ID

### getName

    public java.lang.String getName()

  Returns Name of signer.

  Returns:
    Name

### getEmail

    public java.lang.String getEmail()

  Returns Email-Address of signer.

  Returns:
    Email-Address

### getComment

    public java.lang.String getComment()

  Returns Comment.

  Returns:
    Comment

### hasDetails

    public boolean hasDetails()

  Checks, if all signature details are available.

  Returns:
    true, if more info than the keyid is available

### toString

    public java.lang.String toString()

  String-Representation of this Signature.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String single line of text with name, comment etc.

### getNextSignature

    protected GnuPGSignature getNextSignature()

  Gets the next pointer in the gpgme_key_sig_t structure.

  Returns:
    new GnuPGSignature-Object

freiheit.com technologies gmbh

© 2005 freiheit.com technologies gmbh